package com.template.services;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.template.model.pojo.AlumniClub;
import com.template.model.pojo.AlumniClubApply;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.ApplyClubVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-22
 */
public interface AlumniClubApplyService extends IService<AlumniClubApply> {
    int insertAlumniClubApply(AlumniClubApply aca);

    int updateAlumniClubApply(AlumniClubApply aca);

    AlumniClubApply queryDataById(Integer id);

    int deleteDataById(Integer id);

    //查找组织成员数
    int queryClubMember(Integer clubId);

    PageUtils<ApplyClubVo> queryClubApplys(Integer userId, int currentPage, int pageCount, String name, String userName, Integer isPass, Integer collegeId, Integer periodId, Integer majorId, Integer classId, String startTime, String endTime, Integer categoryId);

    PageUtils<ApplyClubVo> queryMyClubApplys(int currentPage, int pageCount, Integer userId, String name);

    List<ApplyClubVo> queryClubExcelApplys(Integer userId, String name, String userName, Integer isPass, Integer collegeId, Integer periodId, Integer majorId, Integer classId, String startTime, String endTime);

    PageUtils<ApplyClubVo> queryApproveClubApplys(int currentPage, int pageCount, Integer userId,String name);

    List<AlumniClubApply> queryClubApplys(Integer userId);

}
